# UWU Me!

**NOTE: This project is very much still in the development/prototype stages. It is in no way meant to be run at a production level, as many security features have not been implemented yet. Run this with caution, and encourage any potential users not to create accounts with sensitive passwords.**

A small project meant to be a different take on [PleasePet](https://github.com/sammy123k/pleasepet).

Tired of simply "liking" or "favoriting" those _so called_ ___"POSTS"___ ?

Why not give people an "UwU"??

This web app allows users to sign up and create a page of their own for other users and anonymous users to give an "UwU" reaction to.

This is intended to stay a fairly simple app acting as a feasible project for the author to learn about developing web apps with login and user management, an asynchronous data store, and interaction with a database storage container.

## Requirements

Here is an outline of the requirements necessary to run this service:

- Python 3.6+
  - Pipenv

Pipenv will act as the Python package manager for the installation of Python you use, creating a virtual environment that satisfies the package requirements listed in the `Pipfile`.

If you do not wish to use pipenv, you will need the following packages:

- flask
- flask-login
- psycopg2-binary

## Usage

### Native

To start the app, simply run `start_app.sh`.

```
./start_app.sh
```

### Docker Compose

Optionally, you can run the entire application using the included `docker-compose` file.

```
# These commands may require sudo
docker-compose up --build

# If you wish to detach the container after running
docker-compose up --build -d
```
